commit faa045c5f75f90b93b9c73492a843c4a13198149
Author: Magnus Hagander <magnus@hagander.net>
Date:   Tue Apr 6 22:35:54 2010 +0200

    Don't abort when we find one incorrect entry in the registry when
    mapping timezones

diff --git a/src/timezone/pgtz.c b/src/timezone/pgtz.c
index bc135c8..9f2cc40 100644
--- a/src/timezone/pgtz.c
+++ b/src/timezone/pgtz.c
@@ -1094,7 +1094,7 @@ identify_system_timezone(void)
 					(errmsg_internal("could not query value for 'std' to identify Windows timezone \"%s\": %i",
 									 keyname, (int) r)));
 			RegCloseKey(key);
-			break;
+			continue; /* Proceed to look at the next timezone */
 		}
 		if (strcmp(tzname, zonename) == 0)
 		{
@@ -1111,7 +1111,7 @@ identify_system_timezone(void)
 					(errmsg_internal("could not query value for 'dlt' to identify Windows timezone \"%s\": %i",
 									 keyname, (int) r)));
 			RegCloseKey(key);
-			break;
+			continue; /* Proceed to look at the next timezone */
 		}
 		if (strcmp(tzname, zonename) == 0)
 		{